gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.AccessibleHyperlink

Contents

- Exported types
- Methods
  - new
  - setPlatformState

Description

Represents a link (i.e. a uri).

A widget that contains one or more links should implement the `AccessibleHypertext` interface and return `GtkAccessibleHyperlink] objects for each of the links.

Since: 4.22

Synopsis

- newtype AccessibleHyperlink = AccessibleHyperlink (ManagedPtr AccessibleHyperlink)
- class (GObject o, IsDescendantOf AccessibleHyperlink o) => IsAccessibleHyperlink o
- toAccessibleHyperlink :: (MonadIO m, IsAccessibleHyperlink o) => o -> m AccessibleHyperlink
- accessibleHyperlinkNew :: (HasCallStack, MonadIO m, IsAccessibleHypertext a) => a -> Word32 -> Text -> AccessibleTextRange -> m AccessibleHyperlink
- accessibleHyperlinkSetPlatformState :: (HasCallStack, MonadIO m, IsAccessibleHyperlink a) => a -> AccessiblePlatformState -> Bool -> m ()

# Exported types

newtype AccessibleHyperlink Source #

Memory-managed wrapper type.

Constructors

AccessibleHyperlink (ManagedPtr AccessibleHyperlink) |

#### Instances

Instances details

Eq AccessibleHyperlink Source # |
Instance details Defined in GI.Gtk.Objects.AccessibleHyperlink Methods (==) :: AccessibleHyperlink -> AccessibleHyperlink -> Bool Source # (/=) :: AccessibleHyperlink -> AccessibleHyperlink -> Bool Source #
GObject AccessibleHyperlink Source # |
Instance details Defined in GI.Gtk.Objects.AccessibleHyperlink
ManagedPtrNewtype AccessibleHyperlink Source # |
Instance details Defined in GI.Gtk.Objects.AccessibleHyperlink Methods toManagedPtr :: AccessibleHyperlink -> ManagedPtr AccessibleHyperlink Source #
TypedObject AccessibleHyperlink Source # |
Instance details Defined in GI.Gtk.Objects.AccessibleHyperlink Methods glibType :: IO GType Source #
HasParentTypes AccessibleHyperlink Source # |
Instance details Defined in GI.Gtk.Objects.AccessibleHyperlink
IsGValue (Maybe AccessibleHyperlink) Source # | Convert `AccessibleHyperlink` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.AccessibleHyperlink Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe AccessibleHyperlink -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe AccessibleHyperlink) Source #
type ParentTypes AccessibleHyperlink Source # |
Instance details Defined in GI.Gtk.Objects.AccessibleHyperlink type ParentTypes AccessibleHyperlink = '[Object, Accessible]

class (GObject o, IsDescendantOf AccessibleHyperlink o) => IsAccessibleHyperlink o Source #

Type class for types which can be safely cast to `AccessibleHyperlink`, for instance with `toAccessibleHyperlink`.

#### Instances

Instances details

(GObject o, IsDescendantOf AccessibleHyperlink o) => IsAccessibleHyperlink o Source # |
Instance details Defined in GI.Gtk.Objects.AccessibleHyperlink

toAccessibleHyperlink :: (MonadIO m, IsAccessibleHyperlink o) => o -> m AccessibleHyperlink Source #

Cast to `AccessibleHyperlink`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

announce, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, resetProperty, resetRelation, resetState, runDispose, stealData, stealQdata, thawNotify, unref, updateNextAccessibleSibling, updatePlatformState, updateProperty, updateRelation, updateState, watchClosure.

#### Getters

getAccessibleId, getAccessibleParent, getAccessibleRole, getAtContext, getBounds, getData, getFirstAccessibleChild, getNextAccessibleSibling, getPlatformState, getProperty, getQdata.

#### Setters

setAccessibleParent, setData, setDataFull, setPlatformState, setProperty.

## new

accessibleHyperlinkNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsAccessibleHypertext a) |
=> a | `parent`: the parent
-> Word32 | `index`: the index of this link in the parent
-> Text | `uri`: the uri
-> AccessibleTextRange | `bounds`: the text range that the link occupies (or 0, 0)
-> m AccessibleHyperlink |

Creates an accessible object that represents a hyperlink.

This is meant to be used with an implementation of the `AccessibleHypertext` interface.

Since: 4.22

## setPlatformState

accessibleHyperlinkSetPlatformState Source #

Arguments

:: (HasCallStack, MonadIO m, IsAccessibleHyperlink a) |
=> a | `self`: the accessible
-> AccessiblePlatformState | `state`: the platform state to change
-> Bool | `enabled`: the new value for the platform state
-> m () |

Sets a platform state on the accessible.

Since: 4.22